package Prog3.src.DiningPhilosophers;

public class Fork {

    private boolean inUse = false;
    private final int id;

    public Fork(int id){
        this.id = id;
    }

    public int getId(){
        return id;
    }

    public boolean take(){
        synchronized (this){
            if (inUse){
                return false;
            }
            inUse = true;
            try {
                Thread.sleep(1000);
            }catch (InterruptedException e){
                System.out.println("Gabel mit ID: " + id + " hat nicht funktioniert");
            }
            return true;
        }
    }

    public void put(){
        synchronized(this){
            inUse = false;
        }
    }
}
