package Praktikum03;


public class Zahlenfilter {

    public static void main(String[] args) {
        int upper_limit = 200;
        if (args.length > 0)
            upper_limit = Integer.parseInt(args[0]);
        Zahlenfilter z = new Zahlenfilter(upper_limit);
        z.printNumber();
    }

    private int boundary;

    private Zahlenfilter(int limit){
        boundary = limit;
    }

    private void printNumber(){
        for(int i = 1; i <=boundary; i++){
            if(filter(i))
                System.out.println(i);
        }
    }

    public static boolean filter(int i){
        return !(checkDivisibleBy5(i) || checkEndsWith9(i) || checkSumDivisibleBy3(i, i-1));
    }

    public static boolean checkDivisibleBy5(int i) {
        return(i % 5 == 0);

    }

    public static boolean checkEndsWith9(int i){
        return(i % 10 == 9);
    }

    public static boolean checkSumDivisibleBy3(int i, int j){
        return((i+j) % 3 == 0);
    }
}
